
#######################
# UAT Database Settings
#######################
mindink.jdbc.driverClassName=org.postgresql.Driver
mindink.jdbc.url=jdbc:postgresql://mindink-uatrds.cr7fxhcc2tv9.ap-southeast-2.rds.amazonaws.com:5432/mindink
mindink.jdbc.username=mindink
mindink.jdbc.password=asTgO57GhjQu38GhYsAb1

mindink.db.schema_name=public
mindink.hibernate.dialect=org.hibernate.dialect.PostgreSQLDialect

db.connection_pool.min_idle=10
db.connection_pool.max_active=20

#######################
# Mail Server Settings
#######################
smtp_host=10.50.1.248
smtp_user=noreply@industrieit.com
smtp_pass=1ndustrieit12
smtp_port=465
smtp_use_ssl=true

# Default session livespan in milliseconds (5 days)
mindink.session.default.livespan=4432000000
concurrent_session_limit=5

email_from=noreply@industrieit.com
mindink.hostname=http://54.206.54.141
redirect.unauthenticated.traffic.to=http://54.206.54.141/index

#######################
#    AWS settings
#######################
aws.s3.bucketname=mindink-uat
aws.accessKey=AKIAIOKR3LXJTNAX6E7A
aws.securityKey=1z9v/vl2cKRuOS7VBEKD48FMiZZpSxBMbW9GqwUR

http.proxy.enabled=true
http.proxy.host=10.50.1.248
http.proxy.port=3128

#######################
# eWay UAT Settings
#######################
access_code_service_endpoint=https://api.sandbox.ewaypayments.com/AccessCodes
transaction_status_service_endpoint=https://api.sandbox.ewaypayments.com/AccessCode/
token_payment_service_endpoint=https://api.sandbox.ewaypayments.com/Transaction
eway_api_key=A1001CKNvsFHm8o18psKIdrVbkXVlL/FJa5IUYSl81mnDW8sA7qiVCJXzhCoAsU7GioKo6
eway_api_password=MindInk2014
redirect_url=https://mindink.com

#######################
#   File uploads
#######################
# max file size in bytes
upload.maxfilesize=5242880

#######################
#   Search Settings
#######################
search.allBooks.result = 20

#######################
#   Task Executors
#######################
task.executor.pool_size=10
task.executor.queue_size=1000
task.scheduler.pool_size=20

#######################
#   Social Config
#######################
facebook.clientId=588647441231864
facebook.clientSecret=5467c0a19fd11d990d51805dbdd86d39
twitter.clientId=
twitter.clientSecret=
